Marketplace
List your model prices
List the model rates your organization has published. Only your own rates are returned, never another organization’s. Filters combine, and paging is by limit and an opaque cursor carried in the page of the previous response.
GET
/
v1
/
marketplace
/
models
List your model prices
curl --request GET \
--url https://pricing.baselinehq.cloud/v1/marketplace/models \
--header 'X-API-Key: <api-key>'import requests
url = "https://pricing.baselinehq.cloud/v1/marketplace/models"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://pricing.baselinehq.cloud/v1/marketplace/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"context_limit": 123,
"currency": "<string>",
"effective_from": "<string>",
"effective_to": "<string>",
"fetched_at": "<string>",
"host": "<string>",
"id": "<string>",
"modalities_input": [
"<string>"
],
"modalities_output": [
"<string>"
],
"model": "<string>",
"model_id": "<string>",
"open_weights": true,
"output_limit": 123,
"provider": "<string>",
"publisher": "<string>",
"raw_pricing_data": {},
"reasoning": true,
"region": "<string>",
"sku_price_id": "<string>",
"source": "<string>",
"source_url": "<string>",
"structured_output": true,
"tags": {},
"token_bucket": "<string>",
"tool_call": true,
"unit_price_per_mtok": 123
}
],
"page": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
API key with "bl_" prefix (e.g. "bl_<api_key>")
Query Parameters
Maximum prices to return (default 500)
Cursor from the previous page
Filter by model
Filter by model provider
Filter by region
Filter by token bucket
Was this page helpful?
⌘I
List your model prices
